
# norootforbuild

Name:           open-xchange-custom-parallels
Provides:		open-xchange-authentication
Conflicts:		open-xchange-authentication-database,open-xchange-authentication-ldap,open-xchange-authentication-imap
BuildArch:	    noarch
#!BuildIgnore:  post-build-checks
BuildRequires:  ant open-xchange-server open-xchange-spamhandler-spamassassin
%if 0%{?suse_version} && 0%{?sles_version} < 11
%if %{?suse_version} <= 1010
# SLES10
BuildRequires:  java-1_5_0-ibm >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-devel >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-alsa >= 1.5.0_sr9
BuildRequires:  update-alternatives
%endif
%if %{?suse_version} >= 1100
BuildRequires:  java-sdk-openjdk
%endif
%if %{?suse_version} > 1010 && %{?suse_version} < 1100
BuildRequires:  java-sdk-1.5.0-sun
%endif
%endif
%if 0%{?sles_version} >= 11
# SLES11 or higher
BuildRequires:  java-1_6_0-ibm-devel
%endif

%if 0%{?rhel_version}
# libgcj seems to be installed whether we want or not and libgcj needs cairo
BuildRequires:  java-sdk-1.5.0-sun cairo
%endif
%if 0%{?fedora_version}
%if %{?fedora_version} > 8
BuildRequires:  java-1.6.0-openjdk-devel saxon
%endif
%if %{?fedora_version} <= 8
BuildRequires:  java-devel-icedtea saxon
%endif
%endif
Version:	6.12.0.0
%define		ox_release 8
Release:	%{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#URL:            
Source:         %{name}_%{version}.orig.tar.gz
Summary:        The Open-Xchange Parallels Extensions. Authentication Plugin, Branding Plugin and SpamdProvider.
Requires:       open-xchange-server open-xchange-spamhandler-spamassassin

%package -n open-xchange-custom-parallels-gui
Group:          Applications/Productivity
Summary:	The Open-Xchange Parallels GUI Plugin.
Requires:       open-xchange-gui

%description -n open-xchange-custom-parallels-gui
The Open-Xchange Parallels GUI Plugin.

Authors:
--------
    Open-Xchange

%description
The Open-Xchange Parallels Extensions. Authentication Plugin, Branding Plugin and SpamdProvider.

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build


%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
%if 0%{?rhel_version} || 0%{?fedora_version}
%define docroot /var/www/html
%else
%define docroot /srv/www/htdocs
%endif

ant -Ddestdir=%{buildroot} -Dhtdoc=%{docroot}/ox6 -Dprefix=/opt/open-xchange install


%clean
%{__rm} -rf %{buildroot}



%files
%defattr(-,root,root)
%dir /opt/open-xchange/etc/groupware/osgi/bundle.d/
/opt/open-xchange/etc/groupware/osgi/bundle.d/*
%dir /opt/open-xchange/bundles/
/opt/open-xchange/bundles/com.openexchange.custom.parallels.jar
%dir /opt/open-xchange/etc/groupware
%dir /opt/open-xchange/etc/groupware/settings
%config(noreplace) /opt/open-xchange/etc/groupware/*.properties
%config(noreplace) /opt/open-xchange/etc/groupware/settings/parallels_gui.properties

%files -n open-xchange-custom-parallels-gui
%defattr(-,root,root)
%dir %{docroot}/ox6/plugins/com.openexchange.custom.parallels/
%{docroot}/ox6/plugins/com.openexchange.custom.parallels/register.js

%changelog
* Thu May 21 2009 - manuel.kraft@open-xchange.com
  - Initial Import
